## qubes-meta-packages 4.0.5

=== debian/changelog ===
qubes-meta-packages (4.0.5-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 19 Feb 2019 17:20:43 +0100

qubes-meta-packages (4.0.5-1) unstable; urgency=medium

  * debian: add Build-Depends: gnupg
  * debian: use gpg --dearmor instead of gpg --import

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 19 Feb 2019 17:20:43 +0100

qubes-meta-packages (4.0.4-1) unstable; urgency=medium

  [ unman ]
  * Provide basic Build-depends for Debian build of meta-packages

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 24 Oct 2018 02:11:55 +0200

qubes-meta-packages (4.0.3-1) unstable; urgency=medium

  [ unman ]
  * Include qubes-usb-proxy within qubes-recommended

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 13 Sep 2018 14:33:44 +0200

qubes-meta-packages (4.0.2-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * spec.in: add changelog placeholder

  [ Marek Marczykowski-Górecki ]
  * travis: update fedora versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 May 2018 04:26:32 +0200

qubes-meta-packages (4.0.1-1) unstable; urgency=medium

  * Add python2-qubesimgconverter for qubes-img-converter

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 18 Jan 2018 18:36:07 +0100

qubes-meta-packages (4.0.0-1) unstable; urgency=medium

  * Adjust for package split in Qubes 4.0
  * travis: adjust for Qubes 4.0
  * Add more required/recommended packages
  * rpm: actually build meta packages
  * Switch contrib repository definitions to Qubes 4.0
  * Install qubes-core-agent-passwordless-root by default in full
    template

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jun 2017 01:38:01 +0200

qubes-meta-packages (3.2.0-1) jessie; urgency=medium

  * Initial release.

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 25 Apr 2017 04:53:15 +0200

## qubes-meta-packages 4.0.6

=== debian/changelog ===
qubes-meta-packages (4.0.6-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 29 Sep 2019 21:13:45 +0200

qubes-meta-packages (4.0.6-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * travis: switch to xenial, update distributions

  [ Frédéric Pierret (fepitre) ]
  * Add QubesOS-contrib signing keys and update repo files
  * Add dom0 meta-package spec file for contrib repo
  * Add dist suffix to keys

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 29 Sep 2019 21:13:45 +0200

## qubes-meta-packages 4.0.7

=== debian/changelog ===
qubes-meta-packages (4.0.7-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 30 Apr 2020 03:14:04 +0200

qubes-meta-packages (4.0.7-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Marek Marczykowski-Górecki ]
  * Replace mate notification daemon by xfce4 one on CentOS
  * rpm: do not depend on python*-imgconverter directly

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 30 Apr 2020 03:14:04 +0200

## qubes-meta-packages 4.0.8

=== repos/Makefile ===
install-vm-debian:
	install -d $(DESTDIR)/etc/apt/sources.list.d
	sed -e "s/@DIST@/`lsb_release -cs`/" qubes-contrib-r4.0.list.in \
		> $(DESTDIR)/etc/apt/sources.list.d/qubes-contrib-r4.0.list
	install -d $(DESTDIR)/etc/apt/trusted.gpg.d
	gpg --dearmor --output \
		$(DESTDIR)/etc/apt/trusted.gpg.d/qubes-4-contrib-debian-keyring.gpg \
		qubesos-contrib-release-4-debian.asc

install-dom0: install-fedora
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-dom0-r4.0.repo $(DESTDIR)/etc/yum.repos.d

install-vm-fedora: install-fedora
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-vm-r4.0.repo-fedora $(DESTDIR)/etc/yum.repos.d/qubes-contrib-vm-r4.0.repo

install-vm-centos: install-centos
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-vm-r4.0.repo-centos $(DESTDIR)/etc/yum.repos.d/qubes-contrib-vm-r4.0.repo

install-fedora:
	install -d $(DESTDIR)/etc/pki/rpm-gpg/
	install -m 0644 qubesos-contrib-release-4-fedora.asc \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-fedora
	ln -s RPM-GPG-KEY-qubes-4-contrib-fedora \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.0-contrib-fedora
install-centos:
	install -d $(DESTDIR)/etc/pki/rpm-gpg/
	install -m 0644 qubesos-contrib-release-4-centos.asc \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-centos
	ln -s RPM-GPG-KEY-qubes-4-contrib-centos \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.0-contrib-centos

=== debian/changelog ===
qubes-meta-packages (4.0.8-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 06 Jan 2021 06:27:32 +0100

qubes-meta-packages (4.0.8-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add archlinux packaging

  [ Marek Marczykowski-Górecki ]
  * Add archlinux repo config

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 06 Jan 2021 06:27:32 +0100

=== debian/control ===
Source: qubes-meta-packages
Section: admin
Priority: extra
Maintainer: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Standards-Version: 3.9.5
Homepage: https://www.qubes-os.org
Vcs-Git: https://github.com/QubesOS/qubes-meta-packages
Build-Depends:
  debhelper,
  gnupg

Package: qubes-repo-contrib
Architecture: any
Description: Repository definition for packages contributed to Qubes OS
 Contrib repository contains packages written/adopted specifically for Qubes,
 not available in upstream repositories.

Package: qubes-vm-dependencies
Architecture: any
Depends:
    qubes-core-agent,
    qubes-gui-agent,
    sudo,
    systemd,
    ${misc:Depends}
Recommends:
    qubes-vm-recommended
Description: Meta package with packages required in Qubes VM
 This package depends on packages required to be installed in Qubes VM.

Package: qubes-vm-recommended
Architecture: any
Depends:
    cups,
    gnome-terminal,
    gnome-themes-standard,
    haveged,
    libnotify-bin,
    locales,
    locales-all,
    mate-notification-daemon,
    ncurses-term,
    network-manager (>= 0.8.1-1),
    network-manager-gnome,
    pulseaudio-qubes,
    qubes-core-agent-dom0-updates,
    qubes-core-agent-nautilus,
    qubes-core-agent-network-manager,
    qubes-core-agent-networking,
    qubes-core-agent-passwordless-root,
    qubes-gpg-split,
    qubes-img-converter,
    qubes-input-proxy-sender,
    qubes-mgmt-salt-vm-connector,
    qubes-pdf-converter,
    qubes-thunderbird,
    qubes-usb-proxy
Description: Meta package with packages recommended in Qubes VM
 Installing this package is recommended to have full functionality available in
 Qubes VM.

## qubes-meta-packages 4.0.9

=== debian/changelog ===
qubes-meta-packages (4.0.9-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 06 Jan 2021 22:38:21 +0100

qubes-meta-packages (4.0.9-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Switch release4.0 branch to have 4.0 repos

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 06 Jan 2021 22:38:21 +0100

## qubes-meta-packages 4.0.10

=== debian/changelog ===
qubes-meta-packages (4.0.10-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 27 Jan 2021 06:20:29 +0100

qubes-meta-packages (4.0.10-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Arch: avoid relying on “qubes-vm-qrexec” package

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 27 Jan 2021 06:20:29 +0100

## qubes-meta-packages 4.0.11

=== repos/Makefile ===
--- 
+++ 
@@ -1,6 +1,24 @@
+SHELL = /bin/bash
+
+ifneq (,$(wildcard /etc/fedora-release))
+DIST = fc$(shell rpm --eval %{fedora})
+else ifneq (,$(wildcard /etc/os-release))
+DIST = $(shell grep VERSION_CODENAME= /etc/os-release | cut -d'=' -f2)
+endif
+
+ifeq (,$(DIST))
+# On debian if previous attempt failed
+# it means we are on sid
+ifneq (,$(wildcard /etc/debian_version))
+DIST = $(shell cut -d'/' -f1 /etc/debian_version)
+endif
+endif
+
+DIST ?= fc31
+
 install-vm-debian:
 	install -d $(DESTDIR)/etc/apt/sources.list.d
-	sed -e "s/@DIST@/`lsb_release -cs`/" qubes-contrib-r4.0.list.in \
+	sed -e "s/@DIST@/$(DIST)/" qubes-contrib-r4.0.list.in \
 		> $(DESTDIR)/etc/apt/sources.list.d/qubes-contrib-r4.0.list
 	install -d $(DESTDIR)/etc/apt/trusted.gpg.d
 	gpg --dearmor --output \

=== debian/changelog ===
qubes-meta-packages (4.0.11-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 04 Jul 2021 05:55:47 +0200

qubes-meta-packages (4.0.11-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * contrib: fix debian repo file
  * repo: on debian use /etc/debian_version
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 04 Jul 2021 05:55:47 +0200

## qubes-meta-packages 4.0.12

=== debian/changelog ===
qubes-meta-packages (4.0.12-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 01 Oct 2021 12:40:31 +0200

qubes-meta-packages (4.0.12-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update contrib keys where no expiration has been set

  [ Demi Marie Obenour ]
  * Thunderbird extension doesn’t actually work

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 01 Oct 2021 12:40:31 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk
export DESTDIR=$(shell pwd)/debian/tmp

%:
	dh $@

override_dh_auto_build:

override_dh_auto_install:
	make -C repos install-vm-debian

## qubes-meta-packages 4.1.0

=== repos/Makefile ===
install-vm-debian:
	install -d $(DESTDIR)/etc/apt/sources.list.d
	sed -e "s/@DIST@/`lsb_release -cs`/" qubes-contrib-r4.0.list.in \
		> $(DESTDIR)/etc/apt/sources.list.d/qubes-contrib-r4.0.list
	install -d $(DESTDIR)/etc/apt/trusted.gpg.d
	gpg --dearmor --output \
		$(DESTDIR)/etc/apt/trusted.gpg.d/qubes-4-contrib-keyring.gpg \
		qubes-contrib-debian-4.asc

install-vm-fedora: install-fedora
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-vm-r4.0.repo $(DESTDIR)/etc/yum.repos.d

install-fedora:
	install -d $(DESTDIR)/etc/pki/rpm-gpg/
	install -m 0644 qubes-contrib-fedora-4.asc \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib
	ln -s RPM-GPG-KEY-qubes-4-contrib \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.0-contrib

=== debian/changelog ===
qubes-meta-packages (4.1.0-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Tue, 26 Feb 2019 06:11:34 +0100

qubes-meta-packages (4.1.0-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Use Fedora upstream xen-runtime inside VM

  [ Marek Marczykowski-Górecki ]
  * travis: update to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 26 Feb 2019 06:11:34 +0100

## qubes-meta-packages 4.1.1

=== repos/Makefile ===
install-vm-debian:
	install -d $(DESTDIR)/etc/apt/sources.list.d
	sed -e "s/@DIST@/`lsb_release -cs`/" qubes-contrib-r4.1.list.in \
		> $(DESTDIR)/etc/apt/sources.list.d/qubes-contrib-r4.1.list
	install -d $(DESTDIR)/etc/apt/trusted.gpg.d
	gpg --dearmor --output \
		$(DESTDIR)/etc/apt/trusted.gpg.d/qubes-4-contrib-keyring.gpg \
		qubes-contrib-debian-4.asc

install-vm-fedora: install-fedora
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-vm-r4.1.repo $(DESTDIR)/etc/yum.repos.d

install-fedora:
	install -d $(DESTDIR)/etc/pki/rpm-gpg/
	install -m 0644 qubes-contrib-fedora-4.asc \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib
	ln -s RPM-GPG-KEY-qubes-4-contrib \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.1-contrib

=== debian/changelog ===
qubes-meta-packages (4.1.1-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 26 Feb 2019 13:19:01 +0100

qubes-meta-packages (4.1.1-1) unstable; urgency=medium

  * Update contrib repositories to R4.1
  * debian: update file list

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 26 Feb 2019 13:19:01 +0100

## qubes-meta-packages 4.1.2

=== repos/Makefile ===
install-vm-debian:
	install -d $(DESTDIR)/etc/apt/sources.list.d
	sed -e "s/@DIST@/`lsb_release -cs`/" qubes-contrib-r4.1.list.in \
		> $(DESTDIR)/etc/apt/sources.list.d/qubes-contrib-r4.1.list
	install -d $(DESTDIR)/etc/apt/trusted.gpg.d
	gpg --dearmor --output \
		$(DESTDIR)/etc/apt/trusted.gpg.d/qubes-4-contrib-keyring.gpg \
		qubesos-contrib-release-4-debian.asc

install-dom0: install-fedora
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-dom0-r4.1.repo $(DESTDIR)/etc/yum.repos.d

install-vm-fedora: install-fedora
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-vm-r4.1.repo-fedora $(DESTDIR)/etc/yum.repos.d/qubes-contrib-vm-r4.1.repo

install-vm-centos: install-centos
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-vm-r4.1.repo-centos $(DESTDIR)/etc/yum.repos.d/qubes-contrib-vm-r4.1.repo

install-fedora:
	install -d $(DESTDIR)/etc/pki/rpm-gpg/
	install -m 0644 qubesos-contrib-release-4-fedora.asc \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib
	ln -s RPM-GPG-KEY-qubes-4-contrib \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.1-contrib
install-centos:
	install -d $(DESTDIR)/etc/pki/rpm-gpg/
	install -m 0644 qubesos-contrib-release-4-centos.asc \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib
	ln -s RPM-GPG-KEY-qubes-4-contrib \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.1-contrib

=== debian/changelog ===
qubes-meta-packages (4.1.2-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 29 Sep 2019 21:14:04 +0200

qubes-meta-packages (4.1.2-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * travis: switch to xenial, update distributions, switch to R4.1
  * travis: drop jessie and stretch

  [ Frédéric Pierret (fepitre) ]
  * Add QubesOS-contrib signing keys and update repo files
  * Add dom0 meta-package spec file for contrib repo

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 29 Sep 2019 21:14:04 +0200

## qubes-meta-packages 4.1.3

=== repos/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 		> $(DESTDIR)/etc/apt/sources.list.d/qubes-contrib-r4.1.list
 	install -d $(DESTDIR)/etc/apt/trusted.gpg.d
 	gpg --dearmor --output \
-		$(DESTDIR)/etc/apt/trusted.gpg.d/qubes-4-contrib-keyring.gpg \
+		$(DESTDIR)/etc/apt/trusted.gpg.d/qubes-4-contrib-debian-keyring.gpg \
 		qubesos-contrib-release-4-debian.asc
 
 install-dom0: install-fedora
@@ -22,12 +22,12 @@
 install-fedora:
 	install -d $(DESTDIR)/etc/pki/rpm-gpg/
 	install -m 0644 qubesos-contrib-release-4-fedora.asc \
-		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib
-	ln -s RPM-GPG-KEY-qubes-4-contrib \
-		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.1-contrib
+		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-fedora
+	ln -s RPM-GPG-KEY-qubes-4-contrib-fedora \
+		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.1-contrib-fedora
 install-centos:
 	install -d $(DESTDIR)/etc/pki/rpm-gpg/
 	install -m 0644 qubesos-contrib-release-4-centos.asc \
-		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib
-	ln -s RPM-GPG-KEY-qubes-4-contrib \
-		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.1-contrib
+		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-centos
+	ln -s RPM-GPG-KEY-qubes-4-contrib-centos \
+		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.1-contrib-centos

=== debian/changelog ===
qubes-meta-packages (4.1.3-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 29 Sep 2019 21:29:01 +0200

qubes-meta-packages (4.1.3-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add dist suffix to keys

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 29 Sep 2019 21:29:01 +0200

## qubes-meta-packages 4.1.4

=== debian/changelog ===
qubes-meta-packages (4.1.4-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 13 Nov 2019 05:56:06 +0100

qubes-meta-packages (4.1.4-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * vm: add guivm metapackages

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 13 Nov 2019 05:56:06 +0100

## qubes-meta-packages 4.1.5

=== debian/changelog ===
qubes-meta-packages (4.1.5-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 16 Nov 2019 15:37:38 +0100

qubes-meta-packages (4.1.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * guivm: fix package name and ensure Xorg too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 16 Nov 2019 15:37:38 +0100

## qubes-meta-packages 4.1.6

=== debian/changelog ===
qubes-meta-packages (4.1.6-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 20 Mar 2020 04:11:22 +0100

qubes-meta-packages (4.1.6-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to dom0 Fedora 31
  * Don't hardcode dom0 Fedora releasever
  * contrib: fix debian repo file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 20 Mar 2020 04:11:22 +0100

## qubes-meta-packages 4.1.7

=== repos/Makefile ===
--- 
+++ 
@@ -1,6 +1,16 @@
+SHELL = /bin/bash
+
+ifneq (,$(wildcard /etc/fedora-release))
+DIST = fc$(shell rpm --eval %{fedora})
+else ifneq (,$(wildcard /etc/os-release))
+DIST = $(shell grep VERSION_CODENAME= /etc/os-release | cut -d'=' -f2)
+endif
+
+DIST ?= fc31
+
 install-vm-debian:
 	install -d $(DESTDIR)/etc/apt/sources.list.d
-	sed -e "s/@DIST@/`lsb_release -cs`/" qubes-contrib-r4.1.list.in \
+	sed "s/@DIST@/$(DIST)/" qubes-contrib-r4.1.list.in \
 		> $(DESTDIR)/etc/apt/sources.list.d/qubes-contrib-r4.1.list
 	install -d $(DESTDIR)/etc/apt/trusted.gpg.d
 	gpg --dearmor --output \
@@ -9,7 +19,8 @@
 
 install-dom0: install-fedora
 	install -d $(DESTDIR)/etc/yum.repos.d
-	install -m 0644 qubes-contrib-dom0-r4.1.repo $(DESTDIR)/etc/yum.repos.d
+	install -m 0644 qubes-contrib-dom0-r4.1.repo.in $(DESTDIR)/etc/yum.repos.d/qubes-contrib-dom0-r4.1.repo
+	sed -i "s/@DIST@/$(DIST)/g" $(DESTDIR)/etc/yum.repos.d/qubes-contrib-dom0-r4.1.repo
 
 install-vm-fedora: install-fedora
 	install -d $(DESTDIR)/etc/yum.repos.d

=== debian/changelog ===
qubes-meta-packages (4.1.7-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 18 Apr 2020 05:18:05 +0200

qubes-meta-packages (4.1.7-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: use python3 package for qubesimgconverter
  * Replace mate notification daemon by xfce4 one
  * vm: make xen-qubes-vm obsolete for R4.0->R4.1 migration

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 18 Apr 2020 05:18:05 +0200

## qubes-meta-packages 4.1.8

=== debian/changelog ===
qubes-meta-packages (4.1.8-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 25 May 2020 02:56:54 +0200

qubes-meta-packages (4.1.8-1) unstable; urgency=medium

  * rpm: do not depend on python*-imgconverter directly

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 25 May 2020 02:56:54 +0200

## qubes-meta-packages 4.1.9

=== debian/changelog ===
qubes-meta-packages (4.1.9-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 15 Jul 2020 18:25:30 +0200

qubes-meta-packages (4.1.9-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * debian: sync with spec file and add guivm pkg
  * Add comps-dom0.xml and comps-vm.xml
  * Update travis

  [ Marek Marczykowski-Górecki ]
  * dom0: include qubes-dom0-meta-packages in comps file for dom0
  * rpm: Add C: qubes-release < 4.1-0.26

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 15 Jul 2020 18:25:30 +0200

## qubes-meta-packages 4.1.10

=== debian/changelog ===
qubes-meta-packages (4.1.10-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 28 Jul 2020 11:41:00 +0200

qubes-meta-packages (4.1.10-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * comps: add xfce4-settings-qubes

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 28 Jul 2020 11:41:00 +0200

## qubes-meta-packages 4.1.11

=== debian/changelog ===
qubes-meta-packages (4.1.11-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 29 Dec 2020 21:38:45 +0100

qubes-meta-packages (4.1.11-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * comps: drop dnfdragora-updater

  [ Marek Marczykowski-Górecki ]
  * Include qubes-manager in dom0 package set

  [ Frédéric Pierret (fepitre) ]
  * Ensure sender in dom0 and receiver in guivm
  * spec: python3.7+ is not available in CentOS7
  * Add archlinux packaging
  * archlinux: add passwordless-root package in recommended

  [ Marek Marczykowski-Górecki ]
  * Add archlinux repo config
  * archlinux: add pacman.d/*.conf include

  [ Olivier MEDOC ]
  * archlinux: fix retrieving source files properly in PKGBUILD

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: enable archlinux build
  * archlinux: move pacman-key after enabling repository

  [ Frédéric Pierret (fepitre) ]
  * repo: on debian use /etc/debian_version

  [ Marek Marczykowski-Górecki ]
  * comps: Remove unused packages from dom0
  * Generate new local master key before importing qubesos keyring

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 29 Dec 2020 21:38:45 +0100

## qubes-meta-packages 4.1.12

=== debian/changelog ===
qubes-meta-packages (4.1.12-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 18 May 2021 00:09:46 +0200

qubes-meta-packages (4.1.12-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Switch default template to Fedora 33

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make
  * Revert "gitlab-ci: enable archlinux build"

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 18 May 2021 00:09:46 +0200

## qubes-meta-packages 4.1.14

=== debian/changelog ===
qubes-meta-packages (4.1.14-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 10 Jul 2021 04:08:24 +0200

qubes-meta-packages (4.1.14-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: disable pdf-converter for CentOS

  [ Marek Marczykowski-Górecki ]
  * Include Fedora 34 template by default

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jul 2021 04:08:24 +0200

## qubes-meta-packages 4.1.15

=== debian/changelog ===
qubes-meta-packages (4.1.15-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 10 Jul 2021 05:08:32 +0200

qubes-meta-packages (4.1.15-1) unstable; urgency=medium

  * Remove dependency on xorg-x11-utils and xorg-x11-xkb-utils

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jul 2021 05:08:32 +0200

## qubes-meta-packages 4.1.16

=== debian/changelog ===
qubes-meta-packages (4.1.16-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 11 Sep 2021 11:33:36 +0200

qubes-meta-packages (4.1.16-1) unstable; urgency=medium

  * Include qubes-gui-vnc in qubes-vm-guivm
  * Whonix 16
  * Fix Fedora description
  * Debian 11

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 11 Sep 2021 11:33:36 +0200

## qubes-meta-packages 4.1.17

=== debian/changelog ===
qubes-meta-packages (4.1.17-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 30 Sep 2021 20:32:21 +0200

qubes-meta-packages (4.1.17-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Thunderbird extension doesn’t actually work

  [ Ivan Kardykov ]
  * remove annobin as required for dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 30 Sep 2021 20:32:21 +0200

## qubes-meta-packages 4.1.18

=== debian/changelog ===
qubes-meta-packages (4.1.18-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 01 Oct 2021 12:38:18 +0200

qubes-meta-packages (4.1.18-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update contrib keys where no expiration has been set

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 01 Oct 2021 12:38:18 +0200

## qubes-meta-packages 4.1.19

=== debian/changelog ===
qubes-meta-packages (4.1.19-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 02 Oct 2021 04:22:31 +0200

qubes-meta-packages (4.1.19-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Don’t require qubes-thunderbird on Debian, either

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 02 Oct 2021 04:22:31 +0200

## qubes-meta-packages 4.1.20

=== debian/changelog ===
qubes-meta-packages (4.1.20-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 09 Nov 2021 06:44:22 +0100

qubes-meta-packages (4.1.20-1) unstable; urgency=medium

  [ Ivan Kardykov ]
  * Add SOF firmware suport

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ Nick Davis ]
  * removed qubes-core-agent-dom0-updates and qubes-mgmt-salt-vm-
    connector from debian build deps.
  * restore the deps in the debian/control file. instead use sed to
    remove those entries only when building focal.
  * fix the makefile syntax. Add the full path to the debian directory.
  * add a proper make target.
  * add SOURCE_COPY_IN when distro is ubuntu

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Nov 2021 06:44:22 +0100

## qubes-meta-packages 4.1.21

=== repos/Makefile ===
--- 
+++ 
@@ -4,6 +4,14 @@
 DIST = fc$(shell rpm --eval %{fedora})
 else ifneq (,$(wildcard /etc/os-release))
 DIST = $(shell grep VERSION_CODENAME= /etc/os-release | cut -d'=' -f2)
+endif
+
+ifeq (,$(DIST))
+# On debian if previous attempt failed
+# it means we are on sid
+ifneq (,$(wildcard /etc/debian_version))
+DIST = $(shell cut -d'/' -f1 /etc/debian_version)
+endif
 endif
 
 DIST ?= fc31

=== debian/changelog ===
qubes-meta-packages (4.1.21-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 04 May 2022 21:03:31 +0200

qubes-meta-packages (4.1.21-1) unstable; urgency=medium

  [ 51lieal ]
  * fix codename

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI

  [ Marek Marczykowski-Górecki ]
  * Include Fedora 35 template

  [ Frédéric Pierret (fepitre) ]
  * contrib-dom0: ensure to import key after install
  * Add Qubes Builder v2 integration

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 04 May 2022 21:03:31 +0200

=== debian/control ===
--- 
+++ 
@@ -31,17 +31,7 @@
 Package: qubes-vm-recommended
 Architecture: any
 Depends:
-    cups,
-    gnome-terminal,
-    gnome-themes-standard,
-    haveged,
-    libnotify-bin,
-    locales,
-    locales-all,
-    mate-notification-daemon,
-    ncurses-term,
-    network-manager (>= 0.8.1-1),
-    network-manager-gnome,
+    xfce4-notifyd,
     pulseaudio-qubes,
     qubes-core-agent-dom0-updates,
     qubes-core-agent-nautilus,
@@ -53,8 +43,22 @@
     qubes-input-proxy-sender,
     qubes-mgmt-salt-vm-connector,
     qubes-pdf-converter,
-    qubes-thunderbird,
     qubes-usb-proxy
 Description: Meta package with packages recommended in Qubes VM
  Installing this package is recommended to have full functionality available in
  Qubes VM.
+
+Package: qubes-vm-guivm
+Architecture: any
+Depends:
+    xserver-xorg,
+    xserver-xephyr,
+    x11-utils,
+    x11-xkb-utils,
+    qubes-gui-daemon,
+    qubes-gui-vnc,
+    qubes-core-admin-client,
+    qubes-artwork,
+    qubes-menus
+Description: Meta package with packages required in a GuiVM
+ This package depends on packages required to be installed in a GuiVM.

## qubes-meta-packages 4.2.4

=== debian/changelog ===
qubes-meta-packages (4.2.4-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 08 May 2023 04:34:30 +0200

qubes-meta-packages (4.2.4-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * jammy: use pipewire
  * Switch to pipewire from bookworm and jammy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 08 May 2023 04:34:30 +0200

qubes-meta-packages (4.2.3-1) unstable; urgency=medium

  [ Delemax Sandria ]
  * Update comps-dom0.xml

  [ Frédéric Pierret (fepitre) ]
  * Rework Archlinux packaging
  * archlinux: support for new packaging in legacy builder
  * salt is not available for jammy
  * Update ArchLinux repository key
  * Update repos to 4.2

  [ Marek Marczykowski-Górecki ]
  * archlinux: update trusted/revoked fingerprints

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 03 May 2023 03:57:48 +0200

qubes-meta-packages (4.2.2-1) unstable; urgency=medium

  * Fix copy&paste error
  * Keep installing DejaVu fonts too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 Feb 2023 17:23:08 +0100

qubes-meta-packages (4.2.1-1) unstable; urgency=medium

  * Update comps for fc37 dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 Feb 2023 15:02:52 +0100

qubes-meta-packages (4.2.0-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Update fedora template to 36
  * Include Fedora 37 template on installation image

  [ unman ]
  * Remove Debian dependencies that will not work in bookworm

  [ Marek Marczykowski-Górecki ]
  * Exclude qubes-mgmt-salt-vm-connector on bookworm via builderv2 too
  * Prevent installing tracker and its deps
  * Install new menu by default
  * rpm: Use conditional dependencies
  * rpm: install qubes-core-agent-thunar if Thunar is installed

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 08 Feb 2023 14:02:25 +0100

## qubes-meta-packages 4.2.5

=== debian/changelog ===
qubes-meta-packages (4.2.5-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 16 May 2023 04:45:44 +0200

qubes-meta-packages (4.2.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Step back for jammy on pipewire

  [ Demi Marie Obenour ]
  * Ensure that PulseAudio server always has Qubes support
  * qubes-vm-recommended: Require a PulseAudio daemon

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 16 May 2023 04:45:44 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Architecture: any
 Depends:
     xfce4-notifyd,
-    pulseaudio-qubes,
+    pipewire-qubes,
     qubes-core-agent-dom0-updates,
     qubes-core-agent-nautilus,
     qubes-core-agent-network-manager,
@@ -41,7 +41,6 @@
     qubes-gpg-split,
     qubes-img-converter,
     qubes-input-proxy-sender,
-    qubes-mgmt-salt-vm-connector,
     qubes-pdf-converter,
     qubes-usb-proxy
 Description: Meta package with packages recommended in Qubes VM

## qubes-meta-packages 4.2.6

=== debian/changelog ===
qubes-meta-packages (4.2.6-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 16 May 2023 23:50:55 +0200

qubes-meta-packages (4.2.6-1) unstable; urgency=medium

  * deb: Fix clearing source commands

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 16 May 2023 23:50:55 +0200

## qubes-meta-packages 4.2.7

=== debian/changelog ===
qubes-meta-packages (4.2.7-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 29 May 2023 19:31:25 +0200

qubes-meta-packages (4.2.7-1) unstable; urgency=medium

  * Install fwupd-qubes-vm by default
  * dom0: install fwupd-qubes-dom0 by default
  * ci: drop R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 May 2023 19:31:25 +0200

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,8 @@
     qubes-img-converter,
     qubes-input-proxy-sender,
     qubes-pdf-converter,
-    qubes-usb-proxy
+    qubes-usb-proxy,
+    fwupd-qubes-vm,
 Description: Meta package with packages recommended in Qubes VM
  Installing this package is recommended to have full functionality available in
  Qubes VM.

## qubes-meta-packages 4.2.8

=== debian/changelog ===
qubes-meta-packages (4.2.8-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 21 Jul 2023 03:23:17 +0200

qubes-meta-packages (4.2.8-1) unstable; urgency=medium

  * Switch to fedora-38 template in the ISO
  * Restore salt on bookworm, fix logic re ubuntu focal
  * Adjust builderv1 to use pipewire in Debian 12 too
  * Update to Whonix 17 and use new template naming scheme

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 21 Jul 2023 03:23:17 +0200

=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
     qubes-gpg-split,
     qubes-img-converter,
     qubes-input-proxy-sender,
+    qubes-mgmt-salt-vm-connector,
     qubes-pdf-converter,
     qubes-usb-proxy,
     fwupd-qubes-vm,

## qubes-meta-packages 4.2.9

=== debian/changelog ===
qubes-meta-packages (4.2.9-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 23 Jul 2023 11:09:47 +0200

qubes-meta-packages (4.2.9-1) unstable; urgency=medium

  * debian: use dynamic variables instead of patching control file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 23 Jul 2023 11:09:47 +0200

## qubes-meta-packages 4.2.10

=== debian/changelog ===
qubes-meta-packages (4.2.10-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 24 Jan 2024 05:27:18 +0100

qubes-meta-packages (4.2.10-1) unstable; urgency=medium

  * Switch debian template to debian-12
  * Use xfce flavors of Fedora and Debian templates
  * Install disk-password-gui by default
  * archlinux: prefer current-testing if enabled

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 24 Jan 2024 05:27:18 +0100

## qubes-meta-packages 4.2.11

=== debian/changelog ===
qubes-meta-packages (4.2.11-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 06 Apr 2024 00:55:27 +0200

qubes-meta-packages (4.2.11-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Update default Fedora template to 39

  [ deeplow ]
  * .qubesbuilder: replace 'spec' by 'build'

  [ Marek Marczykowski-Górecki ]
  * comps: install pipewire in dom0 by default

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 06 Apr 2024 00:55:27 +0200

## qubes-meta-packages 4.2.12

=== debian/changelog ===
qubes-meta-packages (4.2.12-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 22 May 2024 01:29:42 +0200

qubes-meta-packages (4.2.12-1) unstable; urgency=medium

  [ Rusty Bird ]
  * Fix dom0 qubes-repo-contrib URLs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 22 May 2024 01:29:42 +0200

## qubes-meta-packages 4.2.13

=== debian/changelog ===
qubes-meta-packages (4.2.13-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 25 May 2024 04:44:26 +0200

qubes-meta-packages (4.2.13-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Move comps files to qubes-release

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 25 May 2024 04:44:26 +0200

## qubes-meta-packages 4.2.14

=== debian/changelog ===
qubes-meta-packages (4.2.14-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 25 May 2024 16:45:38 +0200

qubes-meta-packages (4.2.14-1) unstable; urgency=medium

  * rpm: restore empty %files section

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 25 May 2024 16:45:38 +0200

## qubes-meta-packages 4.2.15

=== debian/changelog ===
qubes-meta-packages (4.2.15-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 20 Oct 2025 22:10:30 +0200

qubes-meta-packages (4.2.15-1) unstable; urgency=medium

  [ deeplow ]
  * Remove qubes-contrib key from RPM's DB
  * Attempt key import/del every 5s until 15m timeout
  * Increase systemd timer accuracy for postinst

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 20 Oct 2025 22:10:30 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Architecture: any
 Depends:
     xfce4-notifyd,
-    pipewire-qubes,
+    ${pulse:Depends},
     qubes-core-agent-dom0-updates,
     qubes-core-agent-nautilus,
     qubes-core-agent-network-manager,
@@ -41,7 +41,7 @@
     qubes-gpg-split,
     qubes-img-converter,
     qubes-input-proxy-sender,
-    qubes-mgmt-salt-vm-connector,
+    ${qubessalt:Depends},
     qubes-pdf-converter,
     qubes-usb-proxy,
     fwupd-qubes-vm,

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 include /usr/share/dpkg/default.mk
 export DESTDIR=$(shell pwd)/debian/tmp
 
+DIST := $(shell grep ^VERSION_CODENAME= /etc/os-release | cut -d = -f 2)
+
 %:
 	dh $@
 
@@ -14,3 +16,16 @@
 
 override_dh_auto_install:
 	make -C repos install-vm-debian
+
+override_dh_gencontrol:
+	echo "dist: $(DIST)"
+	if [ "$(DIST)" != "focal" ]; then \
+		echo "qubessalt:Depends=qubes-mgmt-salt-vm-connector" \
+			>> debian/qubes-vm-recommended.substvars; \
+	fi
+	if [ "$(DIST)" != "bullseye" ] && [ "$(DIST)" != "jammy" ] && [ "$(DIST)" != "focal" ]; then \
+		echo "pulse:Depends=pipewire-qubes" >> debian/qubes-vm-recommended.substvars; \
+	else \
+		echo "pulse:Depends=pulseaudio-qubes" >> debian/qubes-vm-recommended.substvars; \
+	fi
+	dh_gencontrol

## qubes-meta-packages 4.2.16

=== repos/Makefile ===
SHELL = /bin/bash

ifneq (,$(wildcard /etc/fedora-release))
DIST = fc$(shell rpm --eval %{fedora})
else ifneq (,$(wildcard /etc/os-release))
DIST = $(shell grep VERSION_CODENAME= /etc/os-release | cut -d'=' -f2)
endif

ifeq (,$(DIST))
# On debian if previous attempt failed
# it means we are on sid
ifneq (,$(wildcard /etc/debian_version))
DIST = $(shell cut -d'/' -f1 /etc/debian_version)
endif
endif

DIST ?= fc31

install-vm-debian:
	install -d $(DESTDIR)/etc/apt/sources.list.d
	sed "s/@DIST@/$(DIST)/" qubes-contrib-r4.2.list.in \
		> $(DESTDIR)/etc/apt/sources.list.d/qubes-contrib-r4.2.list
	install -d $(DESTDIR)/etc/apt/trusted.gpg.d
	gpg --dearmor --output \
		$(DESTDIR)/etc/apt/trusted.gpg.d/qubes-4-contrib-debian-keyring.gpg \
		qubesos-contrib-release-4-debian.asc

install-dom0: install-fedora
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-dom0-r4.2.repo.in $(DESTDIR)/etc/yum.repos.d/qubes-contrib-dom0-r4.2.repo
	sed -i "s/@DIST@/$(DIST)/g" $(DESTDIR)/etc/yum.repos.d/qubes-contrib-dom0-r4.2.repo

install-vm-fedora: install-fedora
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-vm-r4.2.repo-fedora $(DESTDIR)/etc/yum.repos.d/qubes-contrib-vm-r4.2.repo

install-vm-centos: install-centos
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-vm-r4.2.repo-centos $(DESTDIR)/etc/yum.repos.d/qubes-contrib-vm-r4.2.repo

install-fedora:
	install -d $(DESTDIR)/etc/pki/rpm-gpg/
	install -m 0644 qubesos-contrib-release-4-fedora.asc \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-fedora
	ln -s RPM-GPG-KEY-qubes-4-contrib-fedora \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.2-contrib-fedora
install-centos:
	install -d $(DESTDIR)/etc/pki/rpm-gpg/
	install -m 0644 qubesos-contrib-release-4-centos.asc \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-centos
	ln -s RPM-GPG-KEY-qubes-4-contrib-centos \
		$(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.2-contrib-centos

=== debian/changelog ===
qubes-meta-packages (4.2.16-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 09 Jan 2026 03:34:30 +0100

qubes-meta-packages (4.2.16-1) unstable; urgency=medium

  * archlinux: Add R4.3 signing key
  * archlinux: remove version number from repo config name
  * archlinux: migrate symlinks to non-versioned conf names

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 09 Jan 2026 03:34:30 +0100

## qubes-meta-packages 4.3.0

=== debian/changelog ===
qubes-meta-packages (4.3.0-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 26 May 2024 04:33:58 +0200

qubes-meta-packages (4.3.0-1) unstable; urgency=medium

  * archlinux: Add R4.3 signing key
  * archlinux: switch repositories to R4.3 and remove R4.2 key
  * ci: switch to R4.3
  * archlinux: remove version number from repo config name

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 26 May 2024 04:33:58 +0200

## qubes-meta-packages 4.3.1

=== debian/changelog ===
qubes-meta-packages (4.3.1-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 26 Jan 2025 19:24:38 +0100

qubes-meta-packages (4.3.1-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Replace pulseaudio with pipewire for Archlinux

  [ Marek Marczykowski-Górecki ]
  * archlinux: install pdf-converter by default

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 26 Jan 2025 19:24:38 +0100

## qubes-meta-packages 4.3.2

=== debian/changelog ===
qubes-meta-packages (4.3.2-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 24 Mar 2025 03:02:13 +0100

qubes-meta-packages (4.3.2-1) unstable; urgency=medium

  [ 3np ]
  * arch: move pipewire-qubes from dependencies to recommended

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 24 Mar 2025 03:02:13 +0100

## qubes-meta-packages 4.3.3

=== debian/changelog ===
qubes-meta-packages (4.3.3-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 08 Aug 2025 01:31:41 +0200

qubes-meta-packages (4.3.3-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Support arbitrary notification daemons

  [ 3np ]
  * arch: fix SPDX license
  * arch(vm-recommended): make pipewire-qubes optional
  * chore(arch): sort depenencies alphabetically

  [ Marek Marczykowski-Górecki ]
  * Replace xfce4-notifyd with qubes-notification-agent

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Aug 2025 01:31:41 +0200

## qubes-meta-packages 4.3.4

=== debian/changelog ===
qubes-meta-packages (4.3.4-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Thu, 16 Oct 2025 23:45:29 +0200

qubes-meta-packages (4.3.4-1) unstable; urgency=medium

  [ deeplow ]
  * Remove qubes-contrib key from RPM's DB
  * Attempt key import/del every 5s until 15m timeout
  * Increase systemd timer accuracy for postinst

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 Oct 2025 23:45:29 +0200

## qubes-meta-packages 4.3.5

=== debian/changelog ===
qubes-meta-packages (4.3.5-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 15 Dec 2025 21:24:47 +0100

qubes-meta-packages (4.3.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add R4.3 contrib keys

  [ Marek Marczykowski-Górecki ]
  * Unload old keys on package update
  * debian: use signed-by= in contrib repo

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 15 Dec 2025 21:24:47 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Package: qubes-vm-recommended
 Architecture: any
 Depends:
-    xfce4-notifyd,
+    ${notify:Depends},
     ${pulse:Depends},
     qubes-core-agent-dom0-updates,
     qubes-core-agent-nautilus,

## qubes-meta-packages 4.3.6

=== repos/Makefile ===
SHELL = /bin/bash

ifneq (,$(wildcard /etc/fedora-release))
DIST = fc$(shell rpm --eval %{fedora})
else ifneq (,$(wildcard /etc/os-release))
DIST = $(shell grep VERSION_CODENAME= /etc/os-release | cut -d'=' -f2)
endif

ifeq (,$(DIST))
# On debian if previous attempt failed
# it means we are on sid
ifneq (,$(wildcard /etc/debian_version))
DIST = $(shell cut -d'/' -f1 /etc/debian_version)
endif
endif

DIST ?= fc31

install-vm-debian:
	install -d $(DESTDIR)/etc/apt/sources.list.d
	sed "s/@DIST@/$(DIST)/" qubes-contrib-r4.3.list.in \
		> $(DESTDIR)/etc/apt/sources.list.d/qubes-contrib-r4.3.list
	sed "s/@DIST@/$(DIST)/" qubes-devel.sources.in \
		> $(DESTDIR)/etc/apt/sources.list.d/qubes-devel.sources
	install -d $(DESTDIR)/usr/share/keyrings
	gpg --dearmor --output \
		$(DESTDIR)/usr/share/keyrings/qubesos-contrib-release-4.3-debian.gpg \
		qubesos-contrib-release-4.3-debian.asc
	gpg --dearmor --output \
		$(DESTDIR)/usr/share/keyrings/qubes-devel-debian.gpg \
		qubes-devel-debian.asc

install-dom0:
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-dom0-r4.3.repo.in $(DESTDIR)/etc/yum.repos.d/qubes-contrib-dom0-r4.3.repo
	sed -i "s/@DIST@/$(DIST)/g" $(DESTDIR)/etc/yum.repos.d/qubes-contrib-dom0-r4.3.repo
	sed "s/@DIST@/$(DIST)/g" qubes-devel-host.repo.in \
		> $(DESTDIR)/etc/yum.repos.d/qubes-devel-host.repo
	install -d $(DESTDIR)/etc/pki/rpm-gpg/
	install -m 0644 qubesos-contrib-release-4.3-host.asc $(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.3-contrib-host
	install -m 0644 qubes-devel-host.asc $(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-devel-primary

install-vm-fedora:
	install -d $(DESTDIR)/etc/yum.repos.d
	install -m 0644 qubes-contrib-vm-r4.3.repo-fedora $(DESTDIR)/etc/yum.repos.d/qubes-contrib-vm-r4.3.repo
	sed "s/@DIST@/$(DIST)/g" qubes-devel-vm.repo-fedora \
		> $(DESTDIR)/etc/yum.repos.d/qubes-devel-vm.repo
	install -d $(DESTDIR)/etc/pki/rpm-gpg/
	install -m 0644 qubesos-contrib-release-4.3-fedora.asc $(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.3-contrib-fedora
	install -m 0644 qubes-devel-fedora.asc $(DESTDIR)/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-devel-fedora

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,12 @@
 Description: Repository definition for packages contributed to Qubes OS
  Contrib repository contains packages written/adopted specifically for Qubes,
  not available in upstream repositories.
+
+Package: qubes-repo-devel
+Architecture: any
+Description: Qubes devel packages repository
+ Packages built from the main branch directly, not official releases, no any
+ guarantee, no security support. Use at your own risk.
 
 Package: qubes-vm-dependencies
 Architecture: any

## qubes-meta-packages 4.3.7

=== debian/changelog ===
qubes-meta-packages (4.3.7-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 21 Dec 2025 10:55:16 +0100

qubes-meta-packages (4.3.7-1) unstable; urgency=medium

  * Fix repo url in qubes-repo-devel for fedora template

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 21 Dec 2025 10:55:16 +0100

qubes-meta-packages (4.3.6-1) unstable; urgency=medium

  * rpm: don't fail transaction if systemd is not there
  * Add definition of devel repository
  * rpm: skip importing key in VM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 21 Dec 2025 03:36:51 +0100

=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,9 @@
 	else \
 		echo "pulse:Depends=pulseaudio-qubes" >> debian/qubes-vm-recommended.substvars; \
 	fi
+	if [ "$(DIST)" != "bookworm" ] && [ "$(DIST)" != "jammy" ] && [ "$(DIST)" != "noble" ]; then \
+		echo "notify:Depends=qubes-notification-agent" >> debian/qubes-vm-recommended.substvars; \
+	else \
+		echo "notify:Depends=xfce4-notifyd" >> debian/qubes-vm-recommended.substvars; \
+	fi
 	dh_gencontrol
